ALTER TABLE Prod_Familias ADD Coeficiente_Garantia Decimal(9,5)
Go


	CREATE TABLE Garantias (
			Id_Garantia			SMALLINT NOT NULL,
			Descripcion			VARCHAR(50),
			Coeficiente				DECIMAL(9,5) 
			CONSTRAINT PK_GAR_PorID PRIMARY KEY (Id_Garantia)
			)
    GO
	CREATE INDEX IX_GAR_PorDescr ON Garantias (Descripcion)
	GO


	CREATE TABLE Garantias_Extensiones (
			Id_Garantia			SMALLINT NOT NULL,
			Extension           SMALLINT, 
			Descripcion			VARCHAR(50),
			Coeficiente				DECIMAL(9,5),
			Id_Producto         VARCHAR(14)
			CONSTRAINT PK_GEX_PorID PRIMARY KEY (Id_Garantia,Extension)
			)
    GO

	CREATE INDEX IX_GEX_PorGarantia ON Garantias_Extensiones (Id_Garantia,Descripcion)
	GO

	CREATE INDEX IX_GEX_PorDescr ON Garantias_Extensiones (Descripcion)
	GO

	CREATE INDEX IX_GEX_Productos ON Garantias_Extensiones (Id_Producto)
	GO

	ALTER TABLE Garantias_Extensiones ADD CONSTRAINT FK_GEX_Garantias FOREIGN KEY (Id_Garantia)
		REFERENCES Garantias (Id_Garantia)

	ALTER TABLE Garantias_Extensiones ADD CONSTRAINT IX_GEX_Productos FOREIGN KEY (Id_Producto)
		REFERENCES Productos (Id_Producto)


